# $Id: $

pkglibdir = $(libdir)/ThePimp

pimp_sources = \
	src/AssemblyInfo.cs \
	src/Main.cs \
	src/AboutWindow.cs \
	src/ErrorWindow.cs \
	src/MainWindow.cs \
	src/NewFile.cs \
	src/OpenFile.cs \
	src/PictureView.cs \
	src/SaveFile.cs \
	src/ToolBox.cs \
	gtk-gui/generated.cs \
	gtk-gui/ThePimp.AboutWindow.cs \
	gtk-gui/ThePimp.ErrorWindow.cs \
	gtk-gui/ThePimp.MainWindow.cs \
	gtk-gui/ThePimp.NewFile.cs \
	gtk-gui/ThePimp.OpenFile.cs \
	gtk-gui/ThePimp.PictureView.cs \
	gtk-gui/ThePimp.SaveFile.cs \
	gtk-gui/ThePimp.ToolBox.cs

pimp_resources = \
	gtk-gui/gui.stetic \
	gtk-gui/objects.xml \
	images/about.png

image_sources = \
	images/about.svg

if USE_CSHARP
pkglib_DATA = ThePimp.exe
bin_SCRIPTS = pimp
endif

if USE_GTKSHARP
pimp_flags = -pkg:gtk-sharp-2.0 -r:Mono.Posix
else
pimp_flags = \
	-r:$(top_srcdir)/win32/gtksharp/bin/pango-sharp.dll \
	-r:$(top_srcdir)/win32/gtksharp/bin/atk-sharp.dll \
	-r:$(top_srcdir)/win32/gtksharp/bin/gdk-sharp.dll \
	-r:$(top_srcdir)/win32/gtksharp/bin/gtk-sharp.dll \
	-r:$(top_srcdir)/win32/gtksharp/bin/glib-sharp.dll \
	-r:Mono.Posix
endif

EXTRA_DIST = $(pimp_sources) $(pimp_resources) $(image_sources)

ThePimp.exe: ../pipi-sharp/pipi-sharp.dll $(pimp_sources) $(pimp_resources)
	cp ../pipi-sharp/pipi-sharp.dll .
	cp ../pipi-sharp/pipi-sharp.dll.config .
	cp ../pipi-sharp/pipi-sharp.dll.mdb .
	$(GMCS) -debug -codepage:utf8 -target:winexe -out:$@ $(pimp_flags) \
	-lib:./ -r:pipi-sharp.dll \
	  $(addprefix $(srcdir)/, $(pimp_sources)) \
	  $(foreach x, $(pimp_resources), \
	               -resource:$(srcdir)/$x,ThePimp.$(subst /,.,$x))

clean-local:
	rm -f pipi-sharp.dll.config
	rm -f *.exe *.dll *.mdb

